# NAS Server (OBSOLETE)

This repository contains files used to set up our NAS server on a freshly installed Armbian. Target is Bullseye.

### Introduction
The SBC used has a hard drive attached (SATA), which is the storage drive. This disk should be encrypted if needed.

An FTP server is installed on the device, providing network access to authorized people.

### Setup
##### Installation
* `setup.sh` is a script automating the installation and configuration of required software.
* `variables.conf.template` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
* `srv-nas.mount` is a systemd unit which, when started, will try to mount DATA drive.
##### DL server
* `transmission-daemon.service` is a replacement for default Transmission service file, with more settings.
* `transmission-vpn.sh` is a script which checks if a VPN connection is active and stops Transmission otherwise.
* `transmission-vpn.service` is a service unit for above script.
* `transmission-vpn.timer` is a timer which runs regularly above script.
* `variables.conf.template` contains examples variables definitions, and should be copied locally to `variables.conf`
  (with any required modifications).
* `install.sh` script copies Systemd units to their destination, with correct values.

### TODO
* Add TLS cert generation to DL setup
